Bug 829126 - Review Request: python-rosinstall - ROS installation utilities
Review Request: python-rosinstall - ROS installation utilities
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On: 829119
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 00:30 EDT by Rich Mattes
Modified: 2012-11-15 14:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 14:32:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2012-06-06 00:30:40 EDT
Spec URL: http://rmattes.fedorapeople.org/rospackages/rosinstall/rosinstall.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/rosinstall/rosinstall-0.6.17-1.fc17.src.rpm

Description: rosinstall is a tool to check out ROS source code (or any source code, really) from multiple version control repositories and updating these checkouts. Given a *.rosinstall file that specifies where to get code, rosinstall will check out a working copy for you.

Fedora Account System Username: rmattes

$ rpmlint rosinstall.spec ../RPMS/noarch/rosinstall-0.6.17-1.fc17.noarch.rpm 
rosinstall.spec: W: invalid-url Source0: rosinstall-0.6.17.tar.bz2
rosinstall.noarch: W: no-manual-page-for-binary rosws
rosinstall.noarch: W: no-manual-page-for-binary rosco
rosinstall.noarch: W: no-manual-page-for-binary roslocate
1 packages and 1 specfiles checked; 0 errors, 4 warnings.
Comment 1 Rich Mattes 2012-09-02 14:57:41 EDT
Updated to the latest upstream release, and also prepended python- to the package name to satisfy python package naming guidelines.

Spec URL: http://rmattes.fedorapeople.org/rospackages/rosinstall/python-rosinstall.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/rosinstall/python-rosinstall-0.6.17-1.fc17.src.rpm

$ rpmlint python-rosinstall.spec ../RPMS/noarch/python-rosinstall-0.6.19-1.fc17.noarch.rpm 
python-rosinstall.spec: W: invalid-url Source0: rosinstall-0.6.19.tar.bz2
python-rosinstall.noarch: W: no-manual-page-for-binary rosws
python-rosinstall.noarch: W: no-manual-page-for-binary rosco
python-rosinstall.noarch: W: no-manual-page-for-binary roslocate
1 packages and 1 specfiles checked; 0 errors, 4 warnings.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4445934
Comment 2 Erik Schilling 2012-09-02 15:18:20 EDT
Correct SRPM URL: http://rmattes.fedorapeople.org/rospackages/rosinstall/python-rosinstall-0.6.19-1.fc17.src.rpm

You forgot to adapt link above ;)
Comment 3 Ankur Sinha (FranciscoD) 2012-09-21 00:19:14 EDT
Hello,

I'll review this one too. 

Thanks,
Warm regards,
Ankur
Comment 4 Ankur Sinha (FranciscoD) 2012-09-25 08:51:54 EDT
Hello!

Review:

[+] OK
[-] NA
[?] Issue

[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[+] Spec has consistant macro usage.
[+] Meets Packaging Guidelines.
[+] License
[+] License field in spec matches
[+] License file included in package
[+] Spec in American English
[+] Spec is legible.
[-] Sources match upstream md5sum:
From an hg snapshot NA

[+] BuildRequires correct
[+] Package is code or permissible content.
[+] Packages %doc files don't affect runtime.

[+] Package compiles and builds on at least one arch.
[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[+] Package owns all the directories it creates.
[+] No rpmlint output.
^^ 
Nothing worrisome
[ankur@ankur SRPMS]$ rpmlint ./python-rosinstall-0.6.19-1.fc17.src.rpm ../SPECS/python-rosinstall.spec /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
python-rosinstall.src: W: invalid-url Source0: rosinstall-0.6.19.tar.bz2
../SPECS/python-rosinstall.spec: W: invalid-url Source0:
rosinstall-0.6.19.tar.bz2
python-rosinstall.noarch: W: no-manual-page-for-binary rosws
python-rosinstall.noarch: W: no-manual-page-for-binary rosco
python-rosinstall.noarch: W: no-manual-page-for-binary roslocate
python-rosinstall.src: W: invalid-url Source0: rosinstall-0.6.19.tar.bz2
3 packages and 1 specfiles checked; 0 errors, 6 warnings.
[ankur@ankur SRPMS]$

[-] final provides and requires are sane:
ankur result]$ review-req-check
== python-rosinstall-0.6.19-1.fc19.noarch.rpm ==
Provides:
python-rosinstall = 0.6.19-1.fc19

Requires:
/usr/bin/python
python(abi) = 2.7
python-vcstools

== python-rosinstall-0.6.19-1.fc19.src.rpm ==
Provides:

Requires:
python-devel
python-setuptools-devel
python-sphinx

SHOULD Items:

[+] Should build in mock.
[+] Should build on all supported archs
[-] Should function as described.
[-] Should have sane scriptlets.
[-] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[-] check for outstanding bugs on package. (For core merge reviews)

Issues:

1. Please make the same python related changes as the other two packages
(correct build and install sections)
2. Please include the LICENSE and README files in the %doc line
3. Might be better to use py?.?.egg-info, will ensure the package doesn't break
if python 2.7 is upgraded to 2.8 

Again, only small issues. Please correct them and the package is good to go!


Thanks,
Warm regards,
Ankur
Comment 5 Rich Mattes 2012-10-08 18:33:39 EDT
Update:

Spec URL: http://rmattes.fedorapeople.org/rospackages/rosinstall/python-rosinstall.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/rosinstall/python-rosinstall-0.6.19-2.fc17.src.rpm

I fixed the issues listed, I think it should be good to go now.
Comment 6 Ankur Sinha (FranciscoD) 2012-10-18 18:55:28 EDT
Hi Rich,

Yup. Issues have been fixed. Good to go!

XXX APPROVED XXX

Thanks,
Warm regards,
Ankur
Comment 7 Rich Mattes 2012-10-19 09:28:27 EDT
New Package SCM Request
=======================
Package Name: python-rosinstall
Short Description: ROS installation utilities
Owners: rmattes
Branches: f17 f18 el6
InitialCC:
Comment 8 Jon Ciesla 2012-10-19 09:43:21 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-10-24 21:22:03 EDT
python-rosinstall-0.6.19-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-rosinstall-0.6.19-2.el6
Comment 10 Fedora Update System 2012-10-26 14:38:51 EDT
python-rosinstall-0.6.19-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2012-11-15 14:32:29 EST
python-rosinstall-0.6.19-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.